What does ElasticBeanstalk error "Application version is unusable and cannot be used with an environment" mean?

I'm attempting to deploy a .NET application to ElasticBeanstalk using the AWS-cli tools. First upload then create version using: aws elasticbeanstalk create-application-version --application-...